"""Module that implements process related API endpoints."""

from fastapi.param_functions import Depends
from fastapi.routing import APIRouter

from orchestrator.security import opa_security_default

from gso.api.api_v1.endpoints import imports

api_router = APIRouter()
api_router.include_router(
    imports.router, prefix="/imports", dependencies=[Depends(opa_security_default)]
)